# This file is part of the Motelab batch scripts
# Copyright (c) 2005 Bret Hull, Kyle Jamieson, all rights reserved.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or (at
# your option) any later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
# USA

package Cents;

use Exporter;
use strict;

BEGIN {
  our @ISA = qw(Exporter);
  @dataformats::EXPORT = qw(
    %dataformat %statsformat $datatype $statstype %exptformat
    %$expttype %$lqtype %$startertype %$lqendtype %$sqtype);
}

use vars qw(
  %dataformat %statsformat $datatype $statstype %exptformat
  $expttype $lqtype $startertype $lqendtype $sqtype);

our $datatype = qw(AdcMHSHMsg);

our %dataformat = (
  "source" => "shop_src",
  "origin" => "mhop_origin",
  "seqno" => "adc_sequence",
  "latency" => "mhop_inflight",
  "hops" => "mhop_hops"
);

our $statstype = qw(NetStatSHMsg);

our %statsformat = (
  "source" => "shop_src",
  "table_size" => "stats_tblsz",
  "addr" => "stats_entry_addr",
  "sent" => "stats_entry_sent",
  "received" => "stats_entry_received",
  "drops" => "stats_entry_drops",
  "rexmits" => "stats_entry_rexmits",
  "quashes" => "stats_entry_quashes",
  "admitted" => "stats_entry_admitted"
);

our $expttype = qw(ExptSHMsg);

our %exptformat = (
  "duration" => "expt_dur_expt",
  "period" => "expt_period",
  "listen" => "expt_listen_interval",
  "esize" => "expt_event_size",
  "expt_type" => "expt_expt_type",
  "fc" => "expt_fc",
  "mac" => "expt_mac_type",
  "power" => "expt_radio_power",
  "sap" => "expt_sap",
  "priq" => "expt_priqueue_size",
  "hwm" => "expt_high_watermark",
  "retx" => "expt_retxmit_count",
  "sqt" => "expt_squelch_table"
);

our $lqtype = qw(LQMsg);
our $startertype = qw(ExptStarterSHMsg);
our $lqendtype = qw(LQEndSHMsg);
our $sqtype = qw(SquelchSHMsg);
1;
